#
# Kaffeine spec file
#

# norootforbuild

%define major   1
%define libname libxine%{major}
%define libvers 1.1.16
%define _kde_prefix %(. /etc/opt/kde3/common_options; echo $prefix)
%define _kde_mimedir %(. /etc/opt/kde3/common_options; echo $kde_mimedir)
%define _mimetypebase %(if [ "release" = "release" ] ; then echo "kaffeine/mimetypes/application/"; else echo "mimetypes/application/"; fi)

%if 0%{?suse_version} > 1110
Name:           kde3-kaffeine
%else
Name:           kaffeine
%endif
Summary:        A xine-based Media Player for KDE3
Summary(de):    Ein xine-basierender Media Player für KDE3
Version:        0.8.8
Release:        16.22
License:        GPL v2 or later
Group:          Productivity/Multimedia/Video/Players
Url:            http://kaffeine.sourceforge.net

Source0:        kaffeine-0.8.8.tar.bz2

Patch0:         kaffeine_configure.patch
Patch1:         kaffeine_dvb.diff
Patch2:         kaffeine-dvb-downgrade.patch
Patch3:         kaffeine-link.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       %{libname} >= %{libvers}
Requires:       qt3
Requires:       kdelibs3
Requires:       libart_lgpl
%if 0%{?suse_version} >= 920
Requires:       xorg-x11-libs
%else
Requires:       XFree86-libs
%endif
Requires:       freetype2
Requires:       zlib
Requires:       libgcc
Requires:       libpng
Requires:       cdparanoia
Requires:       libogg
Requires:       libvorbis
Requires:       libmp3lame0
#BuildConflicts: gamin gamin-devel
BuildRequires:  %{libname} >= %{libvers}
BuildRequires:  libxine-devel >= %{libvers}
BuildRequires:  qt3-devel
BuildRequires:  libart_lgpl
%if 0%{?suse_version} >= 920
BuildRequires:  xorg-x11-devel
BuildRequires:  xorg-x11-libs
%else
BuildRequires:  XFree86-devel
%endif
BuildRequires:  freetype2-devel
BuildRequires:  zlib-devel
#BuildRequires:  fam-devel
BuildRequires:  gamin gamin-devel
BuildRequires:  libpng-devel
BuildRequires:  kdebase3-devel
BuildRequires:  kdebase3
BuildRequires:  kdelibs3-devel
BuildRequires:  kdelibs3
BuildRequires:  update-desktop-files
BuildRequires:  cdparanoia
BuildRequires:  gcc-c++
BuildRequires:  libjpeg-devel
BuildRequires:  cdparanoia
BuildRequires:  libogg
BuildRequires:  libogg-devel
BuildRequires:  libvorbis
BuildRequires:  libvorbis-devel
BuildRequires:  libmp3lame-devel
%if 0%{?suse_version} > 1020
BuildRequires:  gstreamer-0_10-plugins-base
BuildRequires:  gstreamer-0_10-plugins-base-devel
%else
BuildRequires:  gstreamer010-plugins-base
BuildRequires:  gstreamer010-plugins-base-devel
%endif
BuildRequires:  jack >= 0.109
BuildRequires:  libjack0 >= 0.109
BuildRequires:  libjack-devel >= 0.109
BuildRequires:  libcdio-devel
%if 0%{?suse_version} > 1020
Requires:       %{name}-lang = %{version}
%endif
Provides:       kaxtv
Obsoletes:      kaxtv
%if 0%{?suse_version} > 1110
Provides:       kaffeine = %{version}
Obsoletes:      kaffeine < 0.9
%endif

%description
Kaffeine plays all files and devices supported by xine. For example:
MPEG files, AVI (if the codec being used is supported by xine), MP3,
and Ogg Vorbis. It also handles Video CDs, DVD, and DVB cards.



Authors:
--------
    Jürgen Kofler <kaffeine@gmx.net>

%description -l de
Kaffeine spielt alle Dateien und Devices, die von xine unterstützt
werden. Zum Beispiel:
MPEG Dateien, AVI (soweit der Codec von xine unterstützt wird), MP3,
und Ogg Vorbis. Es werden auch Video CDs, DVD, und DVB-Karten
unterstützt.



Autor:
------
    Jürgen Kofler <kaffeine@gmx.net>


%package gstreamer
Group:          Productivity/Multimedia/Video/Players
Summary:        Multimedia Player using Gstreamer
Summary(de):    Multimedia Player verwendet Gstreamer
%if 0%{?suse_version} > 1110
Provides:       kaffeine-gstreamer = %{version}
Obsoletes:      kaffeine-gstreamer < 0.9
%endif

%description gstreamer
This plugin enables Kaffeine to play via the Gstreamer framework
instead of Xine.

The gstreamer backend can only get used for the visualization of audio
sources.

%description gstreamer -l de
Dieses Plugin ermöglicht Kaffeine mit Hilfe von Gstreamer anstelle
von Xine zu arbeiten.

Der gstreamer Backend kann derzeit nur zur Visualisierung von Audiodaten
verwendet werden.

%lang_package

%debug_package

%prep

%setup -n kaffeine-%{version}
%patch0
%if 0%{?suse_version} > 1110
%patch1
%else
%patch2 -p1
%endif
%patch3
#tar xjf %{SOURCE1}

%build
. /etc/opt/kde3/common_options
if [ ! -f configure ]; then
	cd ..
	make -f Makefile.cvs
fi
./configure $configkde \
%ifarch  x86_64 amd64 ia32e
            --enable-libsuffix=64 \
%endif
%if 0%{?suse_version} == 910
            --with-xinit-workaround \
%endif
            --disable-final
#            --with-extra-includes=/usr/src/packages/BUILD/kaffeine-%{version}/linux-kernel-headers-2.6.29/usr/include \
if [ "release" = "release" ] ; then
%{__make} %{?jobs:-j%{jobs}}
else
unsermake %{?jobs:-j%{jobs}}
fi

%install
. /etc/opt/kde3/common_options
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}
%makeinstall
%suse_update_desktop_file -r kaffeine KDE AudioVideo Player Video
touch CREDITS
%{__rm} -rf ${RPM_BUILD_ROOT}%{_kde_prefix}/share/locale/xx
%{__rm} -f %{buildroot}%{_kde_mimedir}/application/x-mplayer2.desktop
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_kde_prefix}/share/doc/HTML/en/kaffeine
kde_post_install
if [ "release" = "release" ] ; then
	%find_lang kaffeine-%{version}
	cat kaffeine-%{version}.lang >> kaffeine.lang
else
	echo "" > kaffeine.lang
fi

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%post
case "$1" in
	1) # new install
		if [ ! -e %{_kde_mimedir}/application/x-mplayer2.desktop ]; then
			%{__ln_s} %{_datadir}/doc/packages/kaffeine/x-mplayer2.desktop %{_kde_mimedir}/application/x-mplayer2.desktop
		fi
	;;
	2) # upgrade/reinstall
		if [ ! -e %{_kde_mimedir}/application/x-mplayer2.desktop ]; then
			%{__ln_s} %{_datadir}/doc/packages/kaffeine/x-mplayer2.desktop %{_kde_mimedir}/application/x-mplayer2.desktop
		fi
	;;
esac
/sbin/ldconfig

%postun
if [ "$1" = "0" ]; then # remove
	if [ -L %{_kde_mimedir}/application/x-mplayer2.desktop ]; then
		%{__rm} -f %{_kde_mimedir}/application/x-mplayer2.desktop
	fi
fi
/sbin/ldconfig

%if 0%{?suse_version} > 1020

%files lang -f kaffeine.lang

%files
%else

%files -f kaffeine.lang
%endif
%defattr(-,root,root)
%doc %{_mimetypebase}x-mplayer2.desktop AUTHORS ChangeLog COPYING CREDITS INSTALL README* TODO
%{_kde_prefix}/bin/*
%{_kde_prefix}/include/kaffeine
%{_kde_prefix}/%_lib/lib*
%{_kde_prefix}/%_lib/kde3/libxine*.*
%{_kde_prefix}/%_lib/kde3/libkaffeine*.*
%{_kde_prefix}/share/appl*/*/*
%{_kde_prefix}/share/apps/kaffeine
%{_kde_prefix}/share/apps/konqueror
%{_kde_prefix}/share/apps/profiles
%{_kde_prefix}/share/icons/*
%{_kde_prefix}/share/doc/HTML/en/kaffeine
%{_kde_mimedir}/application/*.desktop
%{_kde_prefix}/share/services/xine*.desktop
%{_kde_prefix}/share/services/kaffeine*.desktop
%{_kde_prefix}/share/servicetypes/kaffeine*.desktop

%files gstreamer
%defattr(-,root,root)
%{_kde_prefix}/%_lib/kde3/libgstreamerpart.*
%{_kde_prefix}/share/apps/gstreamerpart
%{_kde_prefix}/share/services/gstreamer_part.desktop

%changelog
* Wed Oct 03 2007 Carsten Schoene <cs@linux-administrator.com>                                                                             
- import for SLE_10 build
